Package org.eclipse.rdf4j.sparqlbuilder.core.query

## Class DestinationSourceManagementQuery<T extends DestinationSourceManagementQuery<T>>

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.query.DestinationSourceManagementQuery<T>

- Type Parameters:
    `T` - the type of the query; used to support fluency
  All Implemented Interfaces:
    `QueryElement`
  Direct Known Subclasses:
    `AddQuery`, `CopyQuery`, `MoveQuery`

      public abstract class DestinationSourceManagementQuery<T extends DestinationSourceManagementQuery<T>>
      extends Object

  A SPARQL Update Query that has a source and a destination

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DestinationSourceManagementQuery()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `appendSilent​(StringBuilder builder)` |
    `T` | `from​(IRI from)` |
    `T` | `from​(Iri from)` | Specify the query source graph
    `T` | `fromDefault()` | Specify that the source graph of this query should be the default graph
    `T` | `fromDefault​(boolean fromDefault)` | Specify if this query's source should be the default graph
    `protected abstract String` | `getQueryActionString()` |
    `String` | `getQueryString()` |
    `T` | `silent()` | Set the `SILENT` option to true on this query
    `T` | `silent​(boolean isSilent)` | Specify if the `SILENT` option should be on for this query
    `T` | `to​(IRI to)` | Specify the query destination graph
    `T` | `to​(Iri to)` | Specify the query destination graph
    `T` | `toDefault()` | Specify that the destination graph of this query should be the default graph
    `T` | `toDefault​(boolean toDefault)` | Specify if this query's destination should be the default graph

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DestinationSourceManagementQuery

          public DestinationSourceManagementQuery()

  - ### Method Detail

    - #### from

          public T from​(Iri from)

      Specify the query source graph
      Parameters:
        `from` - the Iri identifying the source graph
      Returns:
        this query instance

    - #### from

          public T from​(IRI from)

    - #### to

          public T to​(Iri to)

      Specify the query destination graph
      Parameters:
        `to` - the Iri identifying the destination graph
      Returns:
        this query instance

    - #### to

          public T to​(IRI to)

      Specify the query destination graph
      Parameters:
        `to` - the Iri identifying the destination graph
      Returns:
        this query instance

    - #### fromDefault

          public T fromDefault()

      Specify that the source graph of this query should be the default graph
      Returns:
        this query instance

    - #### fromDefault

          public T fromDefault​(boolean fromDefault)

      Specify if this query's source should be the default graph
      Parameters:
        `fromDefault` - if this query's source should be the default graph
      Returns:
        this query instance

    - #### toDefault

          public T toDefault()

      Specify that the destination graph of this query should be the default graph
      Returns:
        this query instance

    - #### toDefault

          public T toDefault​(boolean toDefault)

      Specify if this query's destination should be the default graph
      Parameters:
        `toDefault` - if this query's destination should be the default graph
      Returns:
        this query instance

    - #### getQueryActionString

          protected abstract String getQueryActionString()

    - #### getQueryString

          public String getQueryString()

      Returns:
        the String representing the SPARQL syntax of this element

    - #### silent

          public T silent()

      Set the `SILENT` option to true on this query
      Returns:
        this query instance

    - #### silent

          public T silent​(boolean isSilent)

      Specify if the `SILENT` option should be on for this query
      Parameters:
        `isSilent` - if this should be a SILENT operation or not
      Returns:
        this query instance

    - #### appendSilent

          protected void appendSilent​(StringBuilder builder)